spriteOutline = {}

spriteOutline.VS_GL = [[

	attribute highp vec3 vVertex;
	attribute mediump vec2 vTexCoord;
	uniform highp mat4 vMatrix;
	varying mediump vec2 fTexCoord;

	void main() {
	  vec4 vertex = vec4(vVertex,1.0);
	  gl_Position = vMatrix*vertex;
	  fTexCoord=vTexCoord;
	}
]]

spriteOutline.FS_GL = [[

	const float offsetb = 0.001;
	
	uniform lowp vec4 fColor;
	uniform lowp sampler2D fTexture;
	uniform lowp bool fSwitch;
	varying mediump vec2 fTexCoord;

	void main()
	{
		vec4 col = texture2D(fTexture, fTexCoord);
		
		if (fSwitch)
		{
			col.b = 1;
		}
		
		gl_FragColor = col;
	}
]]

spriteOutline.Shader=Shader.new(spriteOutline.VS_GL,spriteOutline.FS_GL,Shader.FLAG_FROM_CODE, {
	{name="vMatrix",type=Shader.CMATRIX,sys=Shader.SYS_WVP,vertex=true},
	{name="fColor",type=Shader.CFLOAT4,sys=Shader.SYS_COLOR,vertex=false},
	{name="fTexture",type=Shader.CTEXTURE,vertex=false},
	{name="fSwitch",type=Shader.CINT,vertex=false},
},
{
	{name="vVertex",type=Shader.DFLOAT,mult=3,slot=0,offset=0},
	{name="vColor",type=Shader.DUBYTE,mult=4,slot=1,offset=0},
	{name="vTexCoord",type=Shader.DFLOAT,mult=2,slot=2,offset=0},
});